using System;
using System.Linq;

class Program
{
    static void Main()
    {
        int[] podaci = new int[2];

        podaci = Console.ReadLine().Split(' ').Select(int.Parse).ToArray();

        int visina = podaci[0];
        int kolicina = podaci[1];

        int[] brojevi = new int[podaci[1]];
        brojevi = Console.ReadLine().Split(' ').Select(int.Parse).ToArray();

        for (int i = 0; i < kolicina; i++)
        {
            if (visina <= brojevi[i])
            {
                Console.WriteLine(i + 1);
                return;
            }
        }
        Console.WriteLine("-1")
    }
}